Subject: Re: [PATCH 0/4] Cygwin MSVC patches

From: Johannes Sixt <[email-masked]>
Date: Tue, 03 Nov 2009 08:08:41 +0100

Ramsay Jones schrieb:
> Johannes Sixt wrote:
>> Ramsay Jones schrieb:
>>> With these patches, the msvc build on cygwin seems to be working fine.
>> What is "the msvc build on cygwin"?
> 
> The same as the msvc build on msys-MinGW, but replace msys-MinGW
> with Cygwin ;-)
> 
>> Is it "git built with msvc, then run in cygwin"?
> 
> Yes, but... *in theory* the cygwin msvc-built binaries could be transferred
> to an msys system and they should work (exactly as the msvc build on msys).
> Since I don't have an msys installation, I can't test that... so I won't
> guarantee it will work!
> 
> Any git needs a (bash-like) shell, perl, Tcl/Tk, ... etc.

Just to check I understand correctly: you are running "make MSVC=1" on
cygwin, and then you are using the resulting binaries with the POSIX tools
from cygwin.

-- Hannes